declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    user: {
        type: ObjectConstructor;
        default: () => {};
    };
    buildInfo: {
        type: ObjectConstructor;
    };
}>, {}, {
    isOpened: boolean;
}, {
    isHeader(): boolean;
    isFooter(): Record<string, any>;
    userName(): any;
    userAccount(): any;
    buildVersion(): string;
}, {
    settings(): void;
    logout(): void;
    close(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    user: {
        type: ObjectConstructor;
        default: () => {};
    };
    buildInfo: {
        type: ObjectConstructor;
    };
}>> & Readonly<{}>, {
    user: Record<string, any>;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
